Subject: Re: [PATCH v2 4/8] builtin/reflog: implement subcommand to write new entries

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Tue, 29 Jul 2025 08:14:59 +0200

On Tue, Jul 29, 2025, at 02:25, Ben Knoble wrote:
>> ...
>> Will show one entry since `branch` is the one-level ref `branch`, not
>> `refs/heads/branch`.  Now it looks like `write` truncated the reflog and
>> wrote a new reflog message (if you mistakenly think that `branch` is a
>> branch).
>
> This quirk of update-ref bit me the first few times I used it, too. I
> think it’s at least documented there though.

I do that with update-ref more than I care to commit^W admit.  But
that’s consistent with the command and well-documented.